<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	} 
%>
<%@ include file="/m05bIdioma.inc"%>

	<HTML>
<head>
	<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
	<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
<%
String matricula=request.getParameter("Matricula");
      if (matricula==null || matricula.equals("NULL")){
          matricula="";

      }
%>
	
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Fechas.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Horas.js"></script>
	
  <title><%= resTit.getString("titVehSiniestros")%></title>
		<script language="JavaScript">
		 function fncModificar(codigo) {
		 	 	var docu = document.formSiniestro;
		        docu.action="m05bGenerarSiniestrosServlet?Matricula=<%=matricula%>&Codigo=" + codigo+"&Habilitar="+parent.document.formVehiculos.Habilitar.value ;
		        docu.submit();
		 }
		 function  fncNuevo() {
		 	 	var docu = document.formSiniestro;
		        docu.action="m05bSiniestrosJsp.jsp?Codigo=&Matricula=<%=matricula%>"+"&Habilitar="+parent.document.formVehiculos.Habilitar.value;
		        docu.submit();
		 }
		</SCRIPT>
</head>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<script>
	 var urlIdioma;
	 urlIdioma = "<%=m05bConstantesPaginas.VEH_GESTION_SINIESTROS%>?Matricula=<%=matricula%>";
	 var urlCambioVentana;
	 urlCambioVentana = "<%=m05bConstantesPaginas.VEH_GESTION_SINIESTROS%>";	 	 
</script>			
	
<%@include file="m05bVehiculosFijo.inc"%>	
<%int contador=0;%>    
			
<FORM NAME="formSiniestro" METHOD="POST">
		<%
		StringBuffer sql = new StringBuffer();

		String control="";
		String fecha="";
		//String nombgv="";
		String dnigv="";
		String nomconc="";
		String dniconc="";
		String matriculac="";
		String nomaconc="";
		String dniaconc="";
		String ciaacon="";
		String polizac="";
		String Fresol="";
		String responsa="";
		String importe="";
		String peritado="";
		String taller="";
		String comentarios="";

		//m05bComun comun = new m05bComun();

		sql.append("SELECT ").append(m05bConstantes.COL_29_CODIGO).append(",");
		sql.append(m05bConstantes.COL_29_NOMBREC);
		sql.append(",").append(m05bConstantes.COL_29_FSINIESTRO).append(",");
		sql.append(m05bConstantes.COL_29_DNI).append(",").append(m05bConstantes.COL_29_DNICC).append(",");
		sql.append(m05bConstantes.COL_29_MATRICULAC).append(",").append(m05bConstantes.COL_29_NOMBREASCC).append(",");
		sql.append(m05bConstantes.COL_29_DNIACC).append(",").append(m05bConstantes.COL_29_ASEGURCC);
		sql.append(",").append(m05bConstantes.COL_29_POLIZACC).append(",").append(m05bConstantes.COL_29_FRESOLU);
		sql.append(",").append(m05bConstantes.COL_29_RESPONS).append(",").append(m05bConstantes.COL_29_IMPORTE);
		sql.append(",").append(m05bConstantes.COL_29_PERITADO);
		sql.append(",").append(m05bConstantes.COL_29_OBSERV).append(",").append(m05bConstantes.COL_29_TALLER);
		sql.append(" FROM ").append(m05bConstantes.TAB_SINIESTROS);
		sql.append(" WHERE ").append(m05bConstantes.COL_29_MATRICULA);
		sql.append("='").append(matricula).append("'  order by ").append(m05bConstantes.COL_29_FSINIESTRO).append(" desc ");

		%>
    <% if ((!(situacion.equals("B"))) && (sExisteMatricula.equals("1")) ) {%>
		
  	      <TABLE class="general">
	        <tr>
	          <!--td align=right> <INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Nuevo" ONCLICK="JavaScript:fncNuevo();"  src="/parquemovil/images/nuevo.gif"/> </td-->
              <td align="right"><input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo();" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" /></td>				      					  	          
		   </tr>
         </TABLE>
         	  <%}%>
		  <TABLE class="general" >
		    <tr>
		      <td align="left" class="inputFieldTitle"><%= res.getString("etCInterno")%></td>
		      <td align="left" class="inputFieldTitle"><%= res.getString("etFecha")%></td>
		      <!--td align="left" class="inputFieldTitle">Nombre&nbsp;Conductor&nbsp;GV</td-->
		      <!--td align="left" class="inputFieldTitle">DNI.Conduc.GV</td-->
		      <td align="left" class="inputFieldTitle" width="150"><%= res.getString("etNomConductorContrario")%></td>
		      <!--td align="left" class="inputFieldTitle">DNI.Conduc.con</td-->
		      <td align="left" class="inputFieldTitle"><%= res.getString("etMatriculaContrario")%></td>
		      <!--td align="left" class="inputFieldTitle">Nom.Asegu.con</td-->
		      <!--td align="left" class="inputFieldTitle">DNI.Asegu.con</td-->
		      <td align="left" class="inputFieldTitle"><%= res.getString("etCiaAsegCon")%></td>
		      <td align="left" class="inputFieldTitle"><%= res.getString("etPolizaContrario")%></td>
		      <!--td align="left" class="inputFieldTitle">Fec.Resolucion</td-->
		      <!--td align="left" class="inputFieldTitle">Responsabilidad</td-->
		      <td align="left" class="inputFieldTitle"><%= res.getString("etImporte")%></td>
		      <!--td align="left" class="inputFieldTitle">Peritado</td-->
		      <!--td align="left" class="inputFieldTitle">Taller</td-->
		      <td align="left" class="inputFieldTitle"><%= res.getString("etReparaciones")%></td>
		    </tr>
		    <%
		        try {
		           if (!matricula.equals("")){
		           //m05bbBeginSelect(sql.toString());
		           //m05bRS = m05bPStmt.executeQuery();
                   conexion = miConexion.getConnection();
                   conexion.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit
                   pstmt2 = conexion.prepareStatement(sql.toString());
		           rs2 = pstmt2.executeQuery();
		           while (rs2.next() == true){
                       contador=contador + 1;
		               control=rs2.getString(m05bConstantes.COL_29_CODIGO);
		               if (control==null)
		                   control="";
		               
		               fecha=rs2.getString(m05bConstantes.COL_29_FSINIESTRO);
		               if (fecha==null)
		                   fecha="";
		               
		               dnigv=rs2.getString(m05bConstantes.COL_29_DNI);
		               if (dnigv==null)
		                   dnigv="";
		               
		               nomconc=rs2.getString(m05bConstantes.COL_29_NOMBREC);
		               if (nomconc==null)
		                   nomconc="";
		               
		               dniconc=rs2.getString(m05bConstantes.COL_29_DNICC);
		               if (dniconc==null)
		                   dniconc="";
		               
		               matriculac=rs2.getString(m05bConstantes.COL_29_MATRICULAC);
		               if (matriculac==null)
		               	   matriculac="";
		               
		               nomaconc=rs2.getString(m05bConstantes.COL_29_NOMBREASCC);
		               if (nomaconc==null)
		               	   nomaconc="";
		               
		               dniaconc=rs2.getString(m05bConstantes.COL_29_DNIACC);
		               if (dniaconc==null)
		                   dniaconc="";
		               
		               ciaacon=rs2.getString(m05bConstantes.COL_29_ASEGURCC);
		               if (ciaacon==null)
		                   ciaacon="";
		               
		               polizac=rs2.getString(m05bConstantes.COL_29_POLIZACC);
		               if (polizac==null)
		                   polizac="";
		               
		               Fresol=rs2.getString(m05bConstantes.COL_29_FRESOLU);
		               if (Fresol==null)
		                   Fresol="";
		               
		               responsa=rs2.getString(m05bConstantes.COL_29_RESPONS);
		               if (responsa==null)
		                   responsa="";
		               
		               importe=rs2.getString(m05bConstantes.COL_29_IMPORTE);
		               if (importe==null || importe.equals("")|| importe.equals("0") )
		               importe="";
		               peritado=rs2.getString(m05bConstantes.COL_29_PERITADO);
		               if (peritado==null)
		                   peritado="";
		               
		               taller=rs2.getString(m05bConstantes.COL_29_TALLER);
		               if (taller==null)
		                   taller="";
		               comentarios=rs2.getString(m05bConstantes.COL_29_OBSERV);
		               if (comentarios==null ||comentarios.equals(""))
		                   comentarios="";
		               
		               if (fecha==null ||fecha.equals(""))
		                   fecha="";
		               else
		                   fecha=comun.Mes(fecha,campoTexto3);
		               if (Fresol==null ||Fresol.equals(""))
		                   Fresol="";
		               else
		                   Fresol=comun.Mes(Fresol,campoTexto3);
		               %>
		               <tr>
		      <td valign="top" align="left" class="inputFieldTitleBlank"><A href="JavaScript:fncModificar('<%=control%>')"><%=control%></A></td>
		      <td valign="top" align="left" class="inputFieldTitleBlank"><%=fecha%></td>
		      <!--td align="left" class="inputFieldTitleBlank"><%//=nombgv%></td-->
		      <!--td align="left" class="inputFieldTitleBlank"><%=dnigv%></td-->
		      <td valign="top" align="left" class="inputFieldTitleBlank" width="130"><%=nomconc%></td>
		      <!--td align="left" class="inputFieldTitleBlank"><%=dniconc%></td-->
		      <td valign="top" align="left" class="inputFieldTitleBlank"><%=matriculac%></td>
		      <!--td align="left" class="inputFieldTitleBlank"><%=nomaconc%></td-->
		      <!--td align="left" class="inputFieldTitleBlank"><%=dniaconc%></td-->
		      <td valign="top" align="left" class="inputFieldTitleBlank"><%=ciaacon%></td>
		      <td valign="top" align="left" class="inputFieldTitleBlank"><%=polizac%></td>
		      <!--td align="left" class="inputFieldTitleBlank"><%=Fresol%></td-->
		      <!--td align="left" class="inputFieldTitleBlank"><%=responsa%></td-->
              <input type="hidden" name=<%="Importe"+contador%> value="<%=importe%>"> 
              <script>
                  formatNumeroDecimal(document.formSiniestro.<%="Importe"+contador%>,6,2);
              </script>	
              <td valign="top" style="text-align: right" class="inputFieldTitleBlank"><script> document.write(document.formSiniestro.<%="Importe"+contador%>.value);</script></td>
		      
		      <!--td align="left" class="inputFieldTitleBlank"><%=peritado%></td-->
		      <!--td align="left" class="inputFieldTitleBlank"><%=taller%></td-->
		      <td align="left"><TEXTAREA class="inputField" WRAP="virtual" name="Comentarios" readonly="readonly" cols="27"><%=comentarios%></TEXTAREA></td>
		    </tr>
		           <%}
		    }
		  } catch (Exception SQLException){
			  m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
			   miLog.addTraza(SQLException);
		  } finally  {
			   //m05bEndSelect();
				if (rs2 != null)
					rs2.close();
				if (pstmt2 != null)
					pstmt2.close();
				if (conexion != null)
					conexion.close();
		  }
		    %>
		  </TABLE>
		  <TABLE class="general">
				<tr> </tr>
				<tr align="center">
					<td class="inputField" colspan="7"><%= res.getString("etTotal")%><%=contador%></td>
			 	</tr>
				<tr> </tr>
			  </TABLE>
</FORM>
 </td>
</tr>
<tr>
	<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
</tr>
</table>
<SCRIPT language='javascript'>
    setTimeout('initSlide();', 1);
</SCRIPT>
<SCRIPT>
   var tabSiniestros=document.getElementById("tabSiniestros");
   
   tabSiniestros.style.backgroundColor="#000078";
</SCRIPT>
</BODY>
</HTML>